<?xml version="1.0" encoding="utf-8"?>
<odoo>

<record id="view_pos_promotion_add_product_wizard" model="ir.ui.view">
            <field name="name">POS Promotion Add Product</field>
            <field name="model">wizard.pos.promotion.add.product</field>
            <field name="arch" type="xml">
                <form string="Add Product">
                    <group>
                        <field name="type" readonly="1" force_save="1"/>
                    </group>
<!--                    <field name="pos_product_lines" string="Product Line">-->
<!--                        <tree editable="bottom">-->
<!--                            <field name="product_id" required="1"/>-->
<!--                        </tree>-->
<!--                        <form>-->
<!--                            <field name="product_id"/>-->
<!--                        </form>-->
<!--                    </field>-->
                    <group string="Discounts each pos category"
                               attrs="{'invisible': [('type', '!=', '2_discount_category')], 'required': [('type', '=', '2_discount_category')]}">
                            <field name="category_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'>
                            </field>
                        </group>
                        <group string="Discounts each qty of product"
                               attrs="{'invisible': [('type', '!=', '3_discount_by_quantity_of_product')], 'required': [('type', '=', '3_discount_by_quantity_of_product')]}">
                            <field name="first_product_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                        </group>
                        <group string="Discounts pack (buy products a,b,c ... will discount n (%) products x,y,z ...)"
                               attrs="{'invisible': [('type', '!=', '4_pack_discount')], 'required': [('type', '=', '4_pack_discount')]}">
                            <separator string="Products need apply" colspan="4"/>
                            <field name="first_product_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                            <separator string="Products need discount" colspan="4"/>
                            <field name="second_product_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                       </group>
                        <group string="Free items (buy product x+y+z ... will free products a+b+c ...)"
                               attrs="{'invisible': [('type', '!=', '5_pack_free_gift')], 'required': [('type', '=', '5_pack_free_gift')]}">
                            <separator string="Products need apply" colspan="4"/>
                            <field name="first_product_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                            <separator string="Free items" colspan="4"/>
                            <field name="second_product_ids"  widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                        </group>
                        <group string="Sale price each quantity of product"
                               attrs="{'invisible': [('type', '!=', '6_price_filter_quantity')], 'required': [('type', '=', '6_price_filter_quantity')]}">
                            <field name="first_product_ids"  widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                        </group>
<!--                        <group string="Products each special category"-->
<!--                               attrs="{'invisible': [('type', '!=', '7_special_category')], 'required': [('type', '=', '7_special_category')]}">-->
<!--                            <field name="special_category_ids" nolabel="1">-->
<!--                                <tree string="Special Category" editable="1">-->
<!--                                    <field name="category_id"/>-->
<!--                                    <field name="type"/>-->
<!--                                    <field name="count"/>-->
<!--                                    <field name="discount"/>-->
<!--                                    <field name="product_id" attrs="{'required': [('type', '=', 'free')]}" domain="[('pos_categ_id', '=', category_id)]"/>-->
<!--                                    <field name="qty_free" attrs="{'required': [('type', '=', 'free')]}"/>-->
<!--                                </tree>-->
<!--                            </field>-->
<!--                        </group>-->
                        <group string="Multi buy"
                               attrs="{'invisible': [('type', '!=', '9_multi_buy')], 'required': [('type', '=', '9_multi_buy')]}">
                            <field name="first_product_ids" widget="many2many_tags" nolabel="1" options='{"no_create": True}'/>
                        </group>
                        <group string="By X free items" attrs="{'invisible': [('type', '!=', '10_buy_x_get_another_free')], 'required': [('type', '=', '10_buy_x_get_another_free')]}">
                            <field name="first_product_ids" nolabel="1" widget="many2many_tags" options='{"no_create": True}'/>
                        </group>
<!--                    <group>-->
<!--                        <field name="category_ids" widget="many2many_tags" required="1" attrs="{'invisible': [('type', '!=', '2_discount_category')], 'required': [('type', '=', '2_discount_category')]}"/>-->
<!--                        <field name="first_product_ids" widget="many2many_tags" required="1" attrs="{'invisible': [('type', '!=', '3_discount_by_quantity_of_product')], 'required': [('type', '=', '3_discount_by_quantity_of_product')]}"/>-->
<!--                        <field name="second_product_ids" widget="many2many_tags" required="1"/>-->
<!--                    </group>-->
                    <footer>
                        <button name="get_add_products" string="Add Products" type="object"/>
                        <button string="Cancel" class="btn-default" special="cancel"/>
                    </footer>
                </form>
            </field>
        </record>

        <record id="action_pos_promotion_add_product_wizard" model="ir.actions.act_window">
            <field name="name">Promotion Add Product</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">wizard.pos.promotion.add.product</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
<!--            <field name="type">ir.actions.do_nothing</field>-->
<!--            <field name="binding_model_id" ref="purchase_extension.model_pr_create_data" />-->
        </record>




</odoo>
